메인 콘텐츠로 건너뛰기
POST
/
video
/
retrieve
/api/v1/video/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/video/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 145000,
  "execution_duration": 53200
}
비공개 모델의 경우, 완료된 파일은 이 엔드포인트에서 바이너리로 반환되는 대신 /video/queue가 반환한 download_url에서 다운로드됩니다. 링크 동작 방식, 재시도, 선택적 DELETE에 대해서는 Private download links를 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
model
string
필수

The ID of the model used for video generation.

예시:

"video-model-123"

queue_id
string
필수

The ID of the video generation request.

예시:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
기본값:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

예시:

false

응답

Video file if completed, or processing status if still in progress

status
enum<string>
필수

The status of the video generation request.

사용 가능한 옵션:
PROCESSING,
COMPLETED
예시:

"PROCESSING"

average_execution_time
number
필수

The estimated execution time of the video generation request in milliseconds (P80).

예시:

145000

execution_duration
number
필수

The current duration of the video generation request in milliseconds.

예시:

53200